import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function materialCategoryList(data) {
  return request({
    url: `/material/category/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function materialCategoryAdd(data) {
  return request({
    url: '/material/category/add',
    method: 'post',
    data: data
  })
}

export function materialCategoryUpdate(data) {
  return request({
    url: '/material/category/update',
    method: 'post',
    data: data
  })
}

export function materialCategoryTree(params) {
  return request({
    url: '/material/category/tree',
    method: 'post',
    params
  })
}